/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.ui.handler;

import static org.fortiss.af3.platform.ui.AF3PlatformUIActivator.getImageDescriptor;

import org.eclipse.jface.resource.ImageDescriptor;
import org.fortiss.af3.platform.raspberry.model.CanConnector;
import org.fortiss.tooling.kernel.ui.extension.IModelElementHandler;
import org.fortiss.tooling.kernel.ui.extension.base.ModelElementHandlerBase;

/** {@link IModelElementHandler} for {@link CanConnector}. */
public class CanConnectorHandler extends ModelElementHandlerBase<CanConnector> {
	/** {@inheritDoc} */
	@Override
	public ImageDescriptor getIconImageDescriptor() {
		return getImageDescriptor("icons/unknown.png");
	}

	/** {@inheritDoc} */
	@Override
	public String getName(CanConnector element) {
		String name = element.getName();
		return name != null ? name : "CanConnector";
	}
}
